<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * SugarCRM is a customer relationship management program developed by
 * SugarCRM, Inc. Copyright (C) 2004 - 2007 SugarCRM Inc.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY SUGARCRM, SUGARCRM DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 * 
 * You can contact SugarCRM, Inc. headquarters at 10050 North Wolfe Road,
 * SW2-130, Cupertino, CA 95014, USA. or at email address contact@sugarcrm.com.
 * 
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 * 
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display of the "Powered by
 * SugarCRM" logo. If the display of the logo is not reasonably feasible for
 * technical reasons, the Appropriate Legal Notices must display the words
 * "Powered by SugarCRM".
 ********************************************************************************/
require_once('modules/DynamicFields/templates/Fields/TemplateField.php');
require_once('modules/DynamicFields/templates/Fields/TemplateAddressCountry.php');
class TemplateAddress extends TemplateField{
	var $type='varchar';
	
	function save($df){
		$name = $this->name;
		$this->type = 'varchar';
		
		/*
		$street2 = new TemplateField();
		$street2->len = 150;
		$street2->name = $name.'_2';
		$street2->vname = $this->label.'_2';
		$street2->save($df);
		$df->setLabel('en_us', $street2->vname, $this->label_value.' 2');
		
		$street3 = new TemplateField();
		$street3->len = 150;
		$street3->name = $name.'_3';
		$street3->vname =$this->label.'_3';
		$street3->save($df);
		$df->setLabel('en_us', $street3->vname, $this->label_value.' 3');
		*/
		
		$city = new TemplateField();
		$city->len = 100;
		$city->name = $name.'_city';
		$city->vname = $this->label.'_ADDRESS_CITY';
		$city->label = $city->vname;
		$city->save($df);
		$df->setLabel('en_us', $city->vname, $this->label_value.' City');
		
		$state = new TemplateField();
		$state->len = 100;
		$state->name = $name.'_state';
		$state->vname = $this->label.'_ADDRESS_STATE';
		$state->label = $state->vname;
		$state->save($df); 
		$df->setLabel('en_us', $state->vname, $this->label_value.' State');
		
		$postalcode = new TemplateField();
		$postalcode->len = 20;
		$postalcode->name = $name.'_postalcode';
		$postalcode->vname = $this->label.'_ADDRESS_POSTALCODE';
		$postalcode->label = $postalcode->vname;
		$postalcode->save($df);
		$df->setLabel('en_us', $postalcode->vname, $this->label_value.' PostalCode');
		
		$country = new TemplateField();
		$country->len = 100;
		$country->name = $name.'_country';
		$country->vname = $this->label.'_ADDRESS_COUNTRY';
		$country->label = $country->vname;
		$country->save($df);
		$df->setLabel('en_us', $country->vname, $this->label_value.' Country');
		parent::save($df);		
	}
}


?>
